sourcefuncsize(1)

Name
sourcefuncsize — statistical analysis of code

Syntax
sourcefuncsize [-bcelvx]

Description
sourcefuncsize shows the (textual) size of each function. For C/C++ only.

Options

-b  Sort by bytes consumed (default).

-c  Show classification with color.

-e  Report global-scope empty lines when -x is selected.

-ee Count empty lines within functions to the global-scope empty lines.

-l  Sort by lines consumed.

-v  Shows file lines, function names, cumulative function lines and classification.

-x  Extended classification. By default there is only "function" or "outside a function", with -x you also get "Comment", "Preprocessor".

Examples
$ sourcefuncsize <src/octl.c>
 BYTES            LINES           FUNCTION
  3775( 15.22%)     112( 14.95%)  play
  3451( 13.92%)      93( 12.42%)  playrec_getopt
  3146( 12.69%)     104( 13.89%)  [Other data]
  3101( 12.50%)     103( 13.75%)  mixer_proc_ctl
  2999( 12.09%)      86( 11.48%)  record
  2047(  8.25%)      63(  8.41%)  playrec_setopt
  1982(  7.99%)      47(  6.28%)  mixer
   974(  3.93%)      30(  4.01%)  mixer_proc
   850(  3.43%)      30(  4.01%)  mixer_write_recsrc
   787(  3.17%)      25(  3.34%)  mixer_display_all
   756(  3.05%)      17(  2.27%)  main
   338(  1.36%)      15(  2.00%)  sighandler
   327(  1.32%)      13(  1.74%)  mixer_inst_dev
   267(  1.08%)      11(  1.47%)  mixer_read_recsrc

See also
hxtools(7)